List Agent Session Input Requests
curl --request GET \
--url https://api.opensink.com/api/v1/agent-session-input-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opensink.com/api/v1/agent-session-input-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opensink.com/api/v1/agent-session-input-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"title": "<string>",
"message": "<string>",
"schema": {},
"response": {},
"created_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z"
}
],
"trail": "<string>"
}{
"error": "Unauthorized"
}{
"error": "Insufficient permissions"
}Agent Session Input Request
List Agent Session Input Requests
List all input requests. Optionally filter by session_id, agent_id, or status.
Required scope: agent_session_input_requests:read, agent_session_input_requests:all, or all:all
GET
/
api
/
v1
/
agent-session-input-requests
List Agent Session Input Requests
Authorizations
API key authentication
Query Parameters
Filter by session ID
Filter by agent ID
Filter by status
Available options:
pending, resolved Maximum items to return (default: 50, max: 100)
Pagination trail from previous response
⌘I

